GNU bug report logs - #20403
Format of NEWS (navigating in it)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "Ulrich Windl" <Ulrich.Windl@HIDDEN>; Keywords: wontfix; Done: Eli Zaretskii <eliz@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 20403 <at> debbugs.gnu.org and "Ulrich Windl" <Ulrich.Windl@HIDDEN> Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 11 Nov 2019 19:06:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 11 14:06:49 2019
Received: from localhost ([127.0.0.1]:55998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUF1U-0006dm-UM
	for submit <at> debbugs.gnu.org; Mon, 11 Nov 2019 14:06:49 -0500
Received: from host.gofardesign.uk ([208.79.239.190]:50957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1iUF1S-0006db-KR
 for 20403 <at> debbugs.gnu.org; Mon, 11 Nov 2019 14:06:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YufvEMNm9ocyuiA1spmPBZ+YuT06Y7Lp+8NBQ7X1Stw=; b=A9gSA/BwlKoDohQ1e1Poh+tOEk
 E82gEYDnuU1LHvlnOBeIgu6gtYyLFN5nYArj7lYTVbrkDHOk+ux9N/omYipmkzqAmsmQ42tobVFQl
 1bBBFMRKw4zmCgc+OloKnJN9jzVZm3gRLKgWUXQkyT6WlQU9AwXYBCThMXveZLguDTB4=;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:43962
 helo=localhost)
 by host.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iUF1L-0001C1-Ru; Mon, 11 Nov 2019 13:06:40 -0600
From: Stefan Kangas <stefan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20403: Format of NEWS (navigating in it)
In-Reply-To: <83sgn8m7qs.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 01 Nov
 2019 08:27:23 +0200")
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
 <83eeytnffd.fsf@HIDDEN> <cdlft0en8z.fsf@HIDDEN>
 <CADwFkm=VbGgaXcOOK=7rUSx4o7nzzu496D6FALR+3_8FGEcxhA@HIDDEN>
 <83sgn8m7qs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Mon, 11 Nov 2019 20:06:38 +0100
Message-ID: <87zhh2nsg1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-OutGoing-Spam-Status: No, score=-1.0
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: host.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: host.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 20403
Cc: psainty@HIDDEN, rgm@HIDDEN, Ulrich.Windl@HIDDEN,
 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> But we could make NEWS a copy of the corresponding NEWS.XY when we
> produce the tarball, if that's what people prefer.

That sounds like a good solution to me.  Perhaps we can get the
machinery in place for Emacs 28.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 4 Nov 2019 16:11:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 04 11:11:13 2019
Received: from localhost ([127.0.0.1]:37396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRewi-00012H-FH
	for submit <at> debbugs.gnu.org; Mon, 04 Nov 2019 11:11:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40949)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iRewg-000123-Sc
 for 20403 <at> debbugs.gnu.org; Mon, 04 Nov 2019 11:11:11 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60544)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iRewa-0002QA-SY; Mon, 04 Nov 2019 11:11:05 -0500
Received: from [176.228.60.248] (port=2562 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iRewa-0004st-5M; Mon, 04 Nov 2019 11:11:04 -0500
Date: Mon, 04 Nov 2019 18:11:14 +0200
Message-Id: <831runipul.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Ulrich Windl" <Ulrich.Windl@HIDDEN>
In-reply-to: <5DBFD069020000A100034D6C@HIDDEN>
 (Ulrich.Windl@HIDDEN)
Subject: Re: Antw: Re: bug#20403: Format of NEWS (navigating in it)
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN><2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
 (message from Phil Sainty on Thu, 31 Oct 2019 22:56:50 +1300)
 <83eeytnffd.fsf@HIDDEN> <5DBFD069020000A100034D6C@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20403
Cc: psainty@HIDDEN, 20403 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 04 Nov 2019 08:16:57 +0100
> From: "Ulrich Windl" <Ulrich.Windl@HIDDEN>
> Cc: <20403 <at> debbugs.gnu.org>,<stefan@HIDDEN>
> 
> ChangeLog-like files, especially when being more or less chronological always
> cause trouble when merging

NEWS is not a chronological file.  Its order is more or less random.

> > If we want a better NEWS, I'd suggest to introduce a new mode, which
> > will inherit from Outline mode, but will support some sort of
> > "include" directive.  Then we could have a NEWS file that just
> > "include"d the versioned files, and Emacs would display their
> > contents, perhaps given some user command to expand a given version's
> > news.  As a bonus, this would let us have a single NEWS file, from
> > user's POV, like other (smaller) projects do.
> 
> Hmm:? Minor-mode "include-view" that presents a (read-only) view of a document
> with all includes expanded. Actual include syntax would be delegated to some
> functions or REGEXes...

I cannot find include-view anywhere in Emacs.  What did I miss?

In any case, we need a derivative of Outline mode, so that readers
could fold and expand sub-entries.  The Emacs NEWS file is very large,
and most users aren't interested in every single piece of news.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 4 Nov 2019 07:17:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 04 02:17:21 2019
Received: from localhost ([127.0.0.1]:35770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRWc5-0005Sp-BK
	for submit <at> debbugs.gnu.org; Mon, 04 Nov 2019 02:17:21 -0500
Received: from mx1.uni-regensburg.de ([194.94.157.146]:55084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ulrich.Windl@HIDDEN>)
 id 1iRWc2-0005ST-UX
 for 20403 <at> debbugs.gnu.org; Mon, 04 Nov 2019 02:17:19 -0500
Received: from mx1.uni-regensburg.de (localhost [127.0.0.1])
 by localhost (Postfix) with SMTP id BEEBC6000050
 for <20403 <at> debbugs.gnu.org>; Mon,  4 Nov 2019 08:17:08 +0100 (CET)
Received: from gwsmtp.uni-regensburg.de (gwsmtp1.uni-regensburg.de
 [132.199.5.51])
 by mx1.uni-regensburg.de (Postfix) with ESMTP id 8C56E600004D
 for <20403 <at> debbugs.gnu.org>; Mon,  4 Nov 2019 08:16:59 +0100 (CET)
Received: from uni-regensburg-smtp1-MTA by gwsmtp.uni-regensburg.de
 with Novell_GroupWise; Mon, 04 Nov 2019 08:16:59 +0100
Message-Id: <5DBFD069020000A100034D6C@HIDDEN>
X-Mailer: Novell GroupWise Internet Agent 18.1.1 
Date: Mon, 04 Nov 2019 08:16:57 +0100
From: "Ulrich Windl" <Ulrich.Windl@HIDDEN>
To: <eliz@HIDDEN>,<psainty@HIDDEN>
Subject: Antw: Re: bug#20403: Format of NEWS (navigating in it)
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN><2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
 (message from Phil Sainty on Thu, 31 Oct 2019 22:56:50 +1300)
 <83eeytnffd.fsf@HIDDEN>
In-Reply-To: <83eeytnffd.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Content-Disposition: inline
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20403
Cc: 20403 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>>> Eli Zaretskii <eliz@HIDDEN> schrieb am 31.10.2019 um 15:43 in Nachricht
<83eeytnffd.fsf@HIDDEN>:
>>  Date: Thu, 31 Oct 2019 22:56:50 +1300
>> From: Phil Sainty <psainty@HIDDEN>
>> Cc: Ulrich Windl <Ulrich.Windl@HIDDEN‑regensburg.de>, 20403 <at> debbugs.gnu.org

>> 
>> The change I'd actually like to see is for NEWS to just be a symlink
>> to the appropriate NEWS.xx file, which should exist under that name
>> from the outset of development on version xx.
> 
> That'd cause trouble when merging from the release branch.  Symlinks
> complicate VCS operations in general.

ChangeLog-like files, especially when being more or less chronological always
cause trouble when merging, as merge itself is rarely chronological.
But for the topic: Having some "user-level symbolic links" like "See
NEWS-1.2.3" that Emacs can parse could be helpful, so (as proposed) the actual
"NEWS" would just contain a notice what the current versioned NEWS file is.
periodically renaming NEWS files (archiving unversioned to versioned) is
probably a bad idea.

> 
> If we want a better NEWS, I'd suggest to introduce a new mode, which
> will inherit from Outline mode, but will support some sort of
> "include" directive.  Then we could have a NEWS file that just
> "include"d the versioned files, and Emacs would display their
> contents, perhaps given some user command to expand a given version's
> news.  As a bonus, this would let us have a single NEWS file, from
> user's POV, like other (smaller) projects do.

Hmm:? Minor-mode "include-view" that presents a (read-only) view of a document
with all includes expanded. Actual include syntax would be delegated to some
functions or REGEXes...







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 1 Nov 2019 06:27:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 01 02:27:32 2019
Received: from localhost ([127.0.0.1]:54942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQQPD-0002RW-Tg
	for submit <at> debbugs.gnu.org; Fri, 01 Nov 2019 02:27:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iQQPC-0002RG-2p
 for 20403 <at> debbugs.gnu.org; Fri, 01 Nov 2019 02:27:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40419)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iQQP5-0005IZ-Lg; Fri, 01 Nov 2019 02:27:23 -0400
Received: from [176.228.60.248] (port=4706 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iQQP3-0001WT-LE; Fri, 01 Nov 2019 02:27:22 -0400
Date: Fri, 01 Nov 2019 08:27:23 +0200
Message-Id: <83sgn8m7qs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <CADwFkm=VbGgaXcOOK=7rUSx4o7nzzu496D6FALR+3_8FGEcxhA@HIDDEN>
 (message from Stefan Kangas on Fri, 1 Nov 2019 06:02:42 +0100)
Subject: Re: bug#20403: Format of NEWS (navigating in it)
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
 <83eeytnffd.fsf@HIDDEN> <cdlft0en8z.fsf@HIDDEN>
 <CADwFkm=VbGgaXcOOK=7rUSx4o7nzzu496D6FALR+3_8FGEcxhA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20403
Cc: psainty@HIDDEN, rgm@HIDDEN, Ulrich.Windl@HIDDEN,
 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 1 Nov 2019 06:02:42 +0100
> Cc: Eli Zaretskii <eliz@HIDDEN>, Phil Sainty <psainty@HIDDEN>, 
> 	Ulrich Windl <Ulrich.Windl@HIDDEN>, 20403 <at> debbugs.gnu.org
> 
> Glenn Morris <rgm@HIDDEN> writes:
> 
> > Maybe the etc/NEWS symlink doesn't even need to be versioned.
> > The build process could construct it based on the version number.
> 
> That makes sense to me.  When creating source distribution tarballs,
> the file could simpy be copied or moved into place in case there are
> problems with symlinks on this or that platform (I guess MS-Windows?).

Tarballs with symlinks are problematic, so I'm against having symlinks
in the release tarball.  But we could make NEWS a copy of the
corresponding NEWS.XY when we produce the tarball, if that's what
people prefer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 1 Nov 2019 05:03:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 01 01:03:02 2019
Received: from localhost ([127.0.0.1]:54921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQP5R-0000Ao-Le
	for submit <at> debbugs.gnu.org; Fri, 01 Nov 2019 01:03:01 -0400
Received: from mail-pf1-f195.google.com ([209.85.210.195]:41348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iQP5Q-0000Ab-0U
 for 20403 <at> debbugs.gnu.org; Fri, 01 Nov 2019 01:03:00 -0400
Received: by mail-pf1-f195.google.com with SMTP id p26so6195704pfq.8
 for <20403 <at> debbugs.gnu.org>; Thu, 31 Oct 2019 22:02:59 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=dVjOubTsm0kv71f79kzCSVhnM5LyJvjheYYRr5t814w=;
 b=TtQgb5pYPvvtO6ohUTCLdNhtJvUIp55Vv+RlXlafT4WC7vsrvuODKhseOybi6uW3ik
 knWHzILPg1OpIL1R89vSqISpTHePGwVl1gmjwpMst5QkdehymxNAYAsnUwhKZ28BAPHO
 kLOiYHYk6hRFsdhpiOVme28c/EjhR9s3hANtCmYeoNma4t7yH9stQFLKdGPZ0wMQZIav
 jGVgLkdAFsEgJr/T0NWDBG4tlk2/amzmneuD8qUvrR36X3g+PE9iAYTDp/6FD+rdNSdh
 6LkUDi2TQCjqTThVNquzh4lJOCozGx0SA2duLjWxsYRrKpQtYPapo48EjTkD17pLcEsx
 kcEA==
X-Gm-Message-State: APjAAAXvgBbDLNmThBlnN+Nvbg4E2WQcUB1bb6i/dtg8vp2+DsFMN7IB
 BY1pgmsynUPmD8heMr73vQmuxAWgmsB3WA+Ih1s=
X-Google-Smtp-Source: APXvYqwerBPBIiblKpKiGSrunuDzI1/qVu10/hgdnGbbvENeG3arXDUV1Q2H/IL0EOGdnyeGivkQAe/vr2842FaSz8I=
X-Received: by 2002:a17:90a:a406:: with SMTP id
 y6mr12891901pjp.106.1572584574159; 
 Thu, 31 Oct 2019 22:02:54 -0700 (PDT)
MIME-Version: 1.0
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
 <83eeytnffd.fsf@HIDDEN> <cdlft0en8z.fsf@HIDDEN>
In-Reply-To: <cdlft0en8z.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Fri, 1 Nov 2019 06:02:42 +0100
Message-ID: <CADwFkm=VbGgaXcOOK=7rUSx4o7nzzu496D6FALR+3_8FGEcxhA@HIDDEN>
Subject: Re: bug#20403: Format of NEWS (navigating in it)
To: Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 20403
Cc: Phil Sainty <psainty@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 20403 <at> debbugs.gnu.org, Ulrich Windl <Ulrich.Windl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Glenn Morris <rgm@HIDDEN> writes:

> Maybe the etc/NEWS symlink doesn't even need to be versioned.
> The build process could construct it based on the version number.

That makes sense to me.  When creating source distribution tarballs,
the file could simpy be copied or moved into place in case there are
problems with symlinks on this or that platform (I guess MS-Windows?).

Is there any reason not to do this?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 31 Oct 2019 20:08:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 16:08:35 2019
Received: from localhost ([127.0.0.1]:54347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQGkF-000126-9v
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 16:08:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38397)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iQGkD-00011t-AZ
 for 20403 <at> debbugs.gnu.org; Thu, 31 Oct 2019 16:08:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60451)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iQGk7-00051X-Bj; Thu, 31 Oct 2019 16:08:27 -0400
Received: from [176.228.60.248] (port=2954 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iQGk4-00007K-0i; Thu, 31 Oct 2019 16:08:24 -0400
Date: Thu, 31 Oct 2019 22:08:26 +0200
Message-Id: <83wockn0ed.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-reply-to: <cdlft0en8z.fsf@HIDDEN> (message from Glenn Morris on
 Thu, 31 Oct 2019 15:19:40 -0400)
Subject: Re: bug#20403: Format of NEWS (navigating in it)
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
 <83eeytnffd.fsf@HIDDEN> <cdlft0en8z.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20403
Cc: psainty@HIDDEN, Ulrich.Windl@HIDDEN, stefan@HIDDEN,
 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: Phil Sainty <psainty@HIDDEN>,  Ulrich.Windl@HIDDEN,  stefan@HIDDEN,  20403 <at> debbugs.gnu.org
> Date: Thu, 31 Oct 2019 15:19:40 -0400
> 
> At present, emacs26:etc/NEWS has to get merged to master:etc/NEWS.26.
> This is a PITA at every single merge.
> 
> If the file was already called NEWS.26 on both branches,
> all these merge problems would go away.

I proposed a solution to that which should make everybody happy.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 31 Oct 2019 19:19:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 15:19:55 2019
Received: from localhost ([127.0.0.1]:54328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQFz7-0008EJ-Tl
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 15:19:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56993)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1iQFz5-0008E3-Vh
 for 20403 <at> debbugs.gnu.org; Thu, 31 Oct 2019 15:19:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59754)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1iQFz0-0003S2-80; Thu, 31 Oct 2019 15:19:46 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1iQFyv-0001EC-2v; Thu, 31 Oct 2019 15:19:41 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20403: Format of NEWS (navigating in it)
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
 <83eeytnffd.fsf@HIDDEN>
X-Spook: Sears Tower TTP csystems Baranyi Reynosa Flu Al Qaida Bin
X-Ran: B{aeO3mKcFWdb>0X#pcOMBeCh|w?Ew}6mf2f}CS3/*S1Pvxs!l6bD40*x\.IO.kxry*%fQ
X-Hue: brightblue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 31 Oct 2019 15:19:40 -0400
In-Reply-To: <83eeytnffd.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 31 Oct
 2019 16:43:50 +0200")
Message-ID: <cdlft0en8z.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20403
Cc: Phil Sainty <psainty@HIDDEN>, Ulrich.Windl@HIDDEN,
 stefan@HIDDEN, 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


>> The change I'd actually like to see is for NEWS to just be a symlink
>> to the appropriate NEWS.xx file, which should exist under that name
>> from the outset of development on version xx.
>
> That'd cause trouble when merging from the release branch.

I think the opposite.

At present, emacs26:etc/NEWS has to get merged to master:etc/NEWS.26.
This is a PITA at every single merge.

If the file was already called NEWS.26 on both branches,
all these merge problems would go away.

(This was previously proposed and rejected in https://debbugs.gnu.org/29366#30)

>  Symlinks complicate VCS operations in general.

Maybe on MS-Windows...

Maybe the etc/NEWS symlink doesn't even need to be versioned.
The build process could construct it based on the version number.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 31 Oct 2019 16:11:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 12:11:34 2019
Received: from localhost ([127.0.0.1]:54124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQD2r-0001rp-Ph
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:11:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iQD2q-0001rW-2Q
 for 20403 <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:11:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56101)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iQD2k-0006NF-C2; Thu, 31 Oct 2019 12:11:26 -0400
Received: from [176.228.60.248] (port=4448 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iQD2j-0003PU-NY; Thu, 31 Oct 2019 12:11:26 -0400
Date: Thu, 31 Oct 2019 18:11:26 +0200
Message-Id: <835zk4opxt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <CADwFkmm7aH5uQVz+Rwun4h-RZncaytkaYefc+Yjh7jvmYyn++A@HIDDEN>
 (message from Stefan Kangas on Thu, 31 Oct 2019 17:04:53 +0100)
Subject: Re: bug#20403: Format of NEWS (navigating in it)
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
 <83eeytnffd.fsf@HIDDEN>
 <CADwFkmm7aH5uQVz+Rwun4h-RZncaytkaYefc+Yjh7jvmYyn++A@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20403
Cc: psainty@HIDDEN, Ulrich.Windl@HIDDEN,
 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Thu, 31 Oct 2019 17:04:53 +0100
> Cc: Phil Sainty <psainty@HIDDEN>, Ulrich Windl <Ulrich.Windl@HIDDEN>, 
> 	20403 <at> debbugs.gnu.org
> 
> > That'd cause trouble when merging from the release branch.  Symlinks
> > complicate VCS operations in general.
> 
> Does that hold even if NEWS is a symlink also on the release branch?

Yes, because it's a symlink to a different file.

> (FWIW, I also think it would be nice to switch to org-mode.)

Yep.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 31 Oct 2019 16:05:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 12:05:19 2019
Received: from localhost ([127.0.0.1]:54112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQCwp-0001fV-5h
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:05:19 -0400
Received: from mail-pg1-f195.google.com ([209.85.215.195]:45184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iQCwh-0001ew-GI
 for 20403 <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:05:12 -0400
Received: by mail-pg1-f195.google.com with SMTP id r1so4310071pgj.12
 for <20403 <at> debbugs.gnu.org>; Thu, 31 Oct 2019 09:05:11 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=VAIgyOkZRMT16OBqy/qLbu8f4BWiE7Bc9go8Q1g8xhY=;
 b=kL8YSai0srndul5krTqoA0weGhRoq/LRD3hk3O7kKyGkKvNk1ryS4cWvwesqG6A6bP
 HgeU0oYSSzEVWiqcYi+S3YrN3BbLy1voAsTGrfwTy4ZD9zeUm4ki7R48/VCv/1pQf3hI
 dqIQulkqAxe5wtJtLObWb1kAzCz+7+CRPQnhtv7jqoKW5pafWeZ5tRlngdYX5s/4x+e6
 KK+OnEqu5JCEG4mdRPdewka8mGn7a3kFJ7MaJRK7dy3aR5n822TwnNb8vnjKWtMrtzmx
 TkN5y7VbP2ZyrjmiEfy4tz/H7R8QhN6Bx9qrnKxq+7tfIwp0S/fxDdH3Z3JQdsNIiP4T
 0ljg==
X-Gm-Message-State: APjAAAWANzV1VmRRTBTkG8arsyVG3ri8x/QvJ38bynC2DIbwuYzvZTNO
 nx8u4NVLdkXOWTnX5X4ZvPE+6d3gF0iBD3MjR/U=
X-Google-Smtp-Source: APXvYqz1UR9j6n6XsVoDNwkynBKBxltb7q/+2Wm/gH3TP+CteSv5tJigpucCs1qNAA98wK5Tcg2Y4zDewWQyFPFzzkE=
X-Received: by 2002:a62:e903:: with SMTP id j3mr7318933pfh.190.1572537905505; 
 Thu, 31 Oct 2019 09:05:05 -0700 (PDT)
MIME-Version: 1.0
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
 <83eeytnffd.fsf@HIDDEN>
In-Reply-To: <83eeytnffd.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Thu, 31 Oct 2019 17:04:53 +0100
Message-ID: <CADwFkmm7aH5uQVz+Rwun4h-RZncaytkaYefc+Yjh7jvmYyn++A@HIDDEN>
Subject: Re: bug#20403: Format of NEWS (navigating in it)
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 20403
Cc: Phil Sainty <psainty@HIDDEN>,
 Ulrich Windl <Ulrich.Windl@HIDDEN>, 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> > The change I'd actually like to see is for NEWS to just be a symlink
> > to the appropriate NEWS.xx file, which should exist under that name
> > from the outset of development on version xx.
>
> That'd cause trouble when merging from the release branch.  Symlinks
> complicate VCS operations in general.

Does that hold even if NEWS is a symlink also on the release branch?

If not, I'm thinking that the scripts for distributed tar balls could
then easily get rid of the symlink and move NEWS in place.

> If we want a better NEWS, I'd suggest to introduce a new mode, which
> will inherit from Outline mode, but will support some sort of
> "include" directive.  Then we could have a NEWS file that just
> "include"d the versioned files, and Emacs would display their
> contents, perhaps given some user command to expand a given version's
> news.  As a bonus, this would let us have a single NEWS file, from
> user's POV, like other (smaller) projects do.

That could also work.

(FWIW, I also think it would be nice to switch to org-mode.)

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 31 Oct 2019 14:44:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 10:44:00 2019
Received: from localhost ([127.0.0.1]:54019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQBg7-0007zp-N2
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 10:43:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iQBg5-0007za-A2
 for 20403 <at> debbugs.gnu.org; Thu, 31 Oct 2019 10:43:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54523)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iQBfy-00079m-8B; Thu, 31 Oct 2019 10:43:51 -0400
Received: from [176.228.60.248] (port=2847 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iQBfx-0007h0-PP; Thu, 31 Oct 2019 10:43:50 -0400
Date: Thu, 31 Oct 2019 16:43:50 +0200
Message-Id: <83eeytnffd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
In-reply-to: <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN> (message
 from Phil Sainty on Thu, 31 Oct 2019 22:56:50 +1300)
Subject: Re: bug#20403: Format of NEWS (navigating in it)
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
 <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20403
Cc: Ulrich.Windl@HIDDEN, stefan@HIDDEN, 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 31 Oct 2019 22:56:50 +1300
> From: Phil Sainty <psainty@HIDDEN>
> Cc: Ulrich Windl <Ulrich.Windl@HIDDEN>, 20403 <at> debbugs.gnu.org
> 
> The change I'd actually like to see is for NEWS to just be a symlink
> to the appropriate NEWS.xx file, which should exist under that name
> from the outset of development on version xx.

That'd cause trouble when merging from the release branch.  Symlinks
complicate VCS operations in general.

If we want a better NEWS, I'd suggest to introduce a new mode, which
will inherit from Outline mode, but will support some sort of
"include" directive.  Then we could have a NEWS file that just
"include"d the versioned files, and Emacs would display their
contents, perhaps given some user command to expand a given version's
news.  As a bonus, this would let us have a single NEWS file, from
user's POV, like other (smaller) projects do.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 31 Oct 2019 09:57:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 05:57:00 2019
Received: from localhost ([127.0.0.1]:52132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQ7CO-00015C-5g
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 05:57:00 -0400
Received: from smtp-2.orcon.net.nz ([60.234.4.43]:34947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1iQ7CM-000153-2F
 for 20403 <at> debbugs.gnu.org; Thu, 31 Oct 2019 05:56:58 -0400
Received: from [10.253.37.70] (port=57594 helo=webmail.orcon.net.nz)
 by smtp-2.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1iQ7CD-0006bp-SV; Thu, 31 Oct 2019 22:56:50 +1300
Received: from wlgwil-nat-office.catalyst.net.nz ([202.78.240.7])
 via [10.253.37.253] by webmail.orcon.net.nz
 with HTTP (HTTP/1.1 POST); Thu, 31 Oct 2019 22:56:50 +1300
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Thu, 31 Oct 2019 22:56:50 +1300
From: Phil Sainty <psainty@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#20403: Format of NEWS (navigating in it)
In-Reply-To: <87pniex9a4.fsf@HIDDEN>
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 <87pniex9a4.fsf@HIDDEN>
Message-ID: <2ecef70596fda1bcaaaa31944a01a39a@HIDDEN>
X-Sender: psainty@HIDDEN
User-Agent: Orcon Webmail
X-GeoIP: --
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20403
Cc: Ulrich Windl <Ulrich.Windl@HIDDEN>, 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

"Ulrich Windl" <Ulrich.Windl@HIDDEN> writes:
> I know it's all a long tradition, but I'd prefer to have one major
> section per release.

I'd be in favour of that myself (it does seem slightly cleaner), but
I'm also not especially bothered by the current format.


> While re-discovering outline-mode, I also realized that C-c C-f
> [<outline-forward-same-level>] (and C-c C-b) have to be used twice
> to get to the next heading if an ASCII FF (form feed) (plus newline)
> character preceeds the heading.

Note that the form feeds are there so that you can use page-based
commands.  e.g.:

C-x ] (forward-page)
C-x [ (backward-page)
C-x n p (narrow-to-page)

If I'm checking the history of something, I generally grep the NEWS
files, jump to the appropriate hit, and then use C-x [ to check
which specific version of Emacs that entry was for.


The change I'd actually like to see is for NEWS to just be a symlink
to the appropriate NEWS.xx file, which should exist under that name
from the outset of development on version xx.  That way every NEWS.xx
would contain its full history in version-control, rather than just
being a renamed NEWS with maybe a handful of retro-added additions.


-Phil





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.
bug closed, send any further explanations to 20403 <at> debbugs.gnu.org and "Ulrich Windl" <Ulrich.Windl@HIDDEN> Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 30 Oct 2019 20:34:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 30 16:34:47 2019
Received: from localhost ([127.0.0.1]:51608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iPug2-0006o2-O6
	for submit <at> debbugs.gnu.org; Wed, 30 Oct 2019 16:34:47 -0400
Received: from giraff.fripost.org ([193.234.15.44]:42114
 helo=outgoing.fripost.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <skangas@HIDDEN>)
 id 1iPug0-0006nk-Dq; Wed, 30 Oct 2019 16:34:45 -0400
Received: from localhost (localhost [127.0.0.1])
 by outgoing.fripost.org (Postfix) with ESMTP id EB1B2187E787;
 Wed, 30 Oct 2019 21:34:38 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=x.fripost.org; h=
 content-type:content-type:mime-version:user-agent:message-id
 :in-reply-to:date:date:references:subject:subject:from:from; s=
 9df9cdc7e101629b5003b587945afa70; t=1572467678; x=1574282079;
 bh=fhMHehDnbgq62wzOiWm2b8zLrZcq+xWuEgJEkkyuXwM=; b=er0eGM+g9QGK
 DI+qYySaspCiB6sIAcGcFe9Rt0rHFpoV0/wCLnf95QEqBG1htKyxFdlpCYZA43bm
 4WKk/EAE++4PZYpvmzC+UsID77zgbY3vl855oSARlDooOca7QNcG7A03fA1k+YsR
 zzuG1iA9GVNgfgH4iO8Pzq7jyC1kmEcjRQkCVpqf911B/1DxV3DTwFVa73VNBrOB
 8jmwASZ/amLiBIRmHs6saxo8HOJV9r+9l7ueRZ2LZ0SNW7vWgOiZQPi0wOOP/az4
 4bue0uCoG1NmrHmYW5RJef6Qon/CrvvoeaHrLel3guT+XB4K1NXiSmuxV4jDn/Vr
 ZpFKBc7/vg==
X-Virus-Scanned: Debian amavisd-new at fripost.org
Received: from outgoing.fripost.org ([127.0.0.1])
 by localhost (giraff.fripost.org [127.0.0.1]) (amavisd-new, port 10040)
 with LMTP id T75JlLW8awuW; Wed, 30 Oct 2019 21:34:38 +0100 (CET)
Received: from smtp.fripost.org (unknown [172.16.0.6])
 by outgoing.fripost.org (Postfix) with ESMTP id CE396187E783;
 Wed, 30 Oct 2019 21:34:38 +0100 (CET)
Received: from [127.0.0.1] (localhost [127.0.0.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 by smtp.fripost.org (Postfix) with ESMTPSA id B1881599ECC8;
 Wed, 30 Oct 2019 21:34:26 +0100 (CET)
Received: from skangas by joffe.skangas.se with local (Exim 4.92)
 (envelope-from <skangas@HIDDEN>)
 id 1iPufT-0004TH-SU; Wed, 30 Oct 2019 21:34:11 +0100
From: Stefan Kangas <stefan@HIDDEN>
To: Ulrich Windl <Ulrich.Windl@HIDDEN>
Subject: Re: bug#20403: Format of NEWS (navigating in it)
References: <55375867020000A100019F48@HIDDEN>
 <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
Date: Wed, 30 Oct 2019 21:34:11 +0100
In-Reply-To: <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
 (Stefan Kangas's message of "Mon, 30 Sep 2019 02:24:36 +0200")
Message-ID: <87pniex9a4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: 20403
Cc: 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

tags 20403 + wontfix
close 20403
thanks

Stefan Kangas <stefan@HIDDEN> writes:

> "Ulrich Windl" <Ulrich.Windl@HIDDEN> writes:
>
>> Hi!
>>
>> As I was not running the latest version of Emacs, I started to read the NEWS file backwards (maybe life is just boring otherwise), beginning at the Emacs version I had before.
>> (while doing that the ghost of RMS appeared and asked: "Why don't you run the latest version when it's free?" ;-)
>> OK, serious again: I realized that when reading backwards it's rather hard to
>> find out when you are done, because even that it's outline mode there is NOT ONE
>> section per Emacs release (here 24.4) (with sub-sections), but multiple. To be
>> concrete, the lop-level headings (when reading backwards) are:
>> * Changes in Emacs 24.4 on Non-Free Operating Systems
>> * Lisp Changes in Emacs 24.4
>> * Incompatible Lisp Changes in Emacs 24.4
>> * New Modes and Packages in Emacs 24.4
>> * Changes in Specialized Modes and Packages in Emacs 24.4
>> * Editing Changes in Emacs 24.4
>> * Changes in Emacs 24.4
>> (here I thought I'm done)
>> * Startup Changes in Emacs 24.4
>> * Installation Changes in Emacs 24.4
>>
>> I know it's all a long tradition, but I'd prefer to have one major section per
>> release. While re-discovering outline-mode, I also realized that C-c C-f
>> [<outline-forward-same-level>] (and C-c C-b) have to be used twice to get to the
>> next heading if an ASCII FF (form feed) (plus newline) character preceeds the
>> heading.
>>
>> Is this the way it should be?
>
> I think this is the way it should be, yes.  It helps the user find
> his/her way around the file.  Also note that these sections can
> repeat, for example in etc/NEWS.24 we have:
>
> * Changes in Emacs 24.5
> * Changes in Emacs 24.4
> * Changes in Emacs 24.3
> * Changes in Emacs 24.2
> * Changes in Emacs 24.1
>
> Also, adding a new level means that each item would be preceded with
> four stars in favour of three.
>
> Are there any other opinions here?

No one else expressed an opinion within 4 weeks, so I'm closing this as
wontfix.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at 20403 <at> debbugs.gnu.org:


Received: (at 20403) by debbugs.gnu.org; 30 Sep 2019 00:24:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 20:24:55 2019
Received: from localhost ([127.0.0.1]:56220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEjUl-0004iq-GH
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 20:24:55 -0400
Received: from mail-pf1-f173.google.com ([209.85.210.173]:44822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iEjUj-0004iZ-Ed
 for 20403 <at> debbugs.gnu.org; Sun, 29 Sep 2019 20:24:54 -0400
Received: by mail-pf1-f173.google.com with SMTP id q21so4525774pfn.11
 for <20403 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 17:24:53 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=AW3KHYLdaQxkZR/J45gFUpEyJ2m9p0Hj8wyvaq6v72Q=;
 b=QXhHQ1EUWUV8T+ikXFT131PEI78Q56zgM1l87zq2qIsKpjyWf727xMTsnVsfSTUgEy
 nhqRdrRFPuvazDwj28tB5yHDlLw2kIYKDhNpvXJucI5Y8UfCH3pc4JSwhVjK3MyK5z5n
 1HQyCWgyt57pphuPUUJ3ih0SM6Bcj/9O94w+5Ia3tR9RZbvKbzs5CNa7Lpq2ybRjVitI
 7fWPIq4DrI7Koyyauk7HDqXbt2v6Ho7YQ1RF7OuVZtEzykU6LRiVbAuMnT8KJjQ+PXpA
 3xiziYaFBbCFEF58WyzkV0YQIIueGvDJS0BUNnCH2ZXR6yLPALw3Keit9n8E3qxoiJc0
 zosw==
X-Gm-Message-State: APjAAAWsjpN/jsnnfwDAs3+7OdaQedT1YZgXqVvoXBgL6nn3mOWSImSR
 02Q6wMAsMJpFkHibiRbddYF7jkQ9tqPiLwAN/C9RhwGNbCE=
X-Google-Smtp-Source: APXvYqzttUhlH+xK8ALNES56VRoLCQO97xAaJRph9HakhvKot8RBl7jzAk7RMdIoHd43reb8/ow+/Fw/7qrw2Y2olB0=
X-Received: by 2002:a63:720f:: with SMTP id n15mr20599823pgc.198.1569803087377; 
 Sun, 29 Sep 2019 17:24:47 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Mon, 30 Sep 2019 02:24:36 +0200
Message-ID: <CADwFkm=QP0N+3Bx+hnESNTUbiordv06-duaLruwVOX=qhwcL5g@HIDDEN>
Subject: Re: bug#20403: Format of NEWS (navigating in it)
To: Ulrich Windl <Ulrich.Windl@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20403
Cc: 20403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Ulrich Windl" <Ulrich.Windl@HIDDEN> writes:

> Hi!
>
> As I was not running the latest version of Emacs, I started to read the NEWS file backwards (maybe life is just boring otherwise), beginning at the Emacs version I had before.
> (while doing that the ghost of RMS appeared and asked: "Why don't you run the latest version when it's free?" ;-)
> OK, serious again: I realized that when reading backwards it's rather hard to
> find out when you are done, because even that it's outline mode there is NOT ONE
> section per Emacs release (here 24.4) (with sub-sections), but multiple. To be
> concrete, the lop-level headings (when reading backwards) are:
> * Changes in Emacs 24.4 on Non-Free Operating Systems
> * Lisp Changes in Emacs 24.4
> * Incompatible Lisp Changes in Emacs 24.4
> * New Modes and Packages in Emacs 24.4
> * Changes in Specialized Modes and Packages in Emacs 24.4
> * Editing Changes in Emacs 24.4
> * Changes in Emacs 24.4
> (here I thought I'm done)
> * Startup Changes in Emacs 24.4
> * Installation Changes in Emacs 24.4
>
> I know it's all a long tradition, but I'd prefer to have one major section per
> release. While re-discovering outline-mode, I also realized that C-c C-f
> [<outline-forward-same-level>] (and C-c C-b) have to be used twice to get to the
> next heading if an ASCII FF (form feed) (plus newline) character preceeds the
> heading.
>
> Is this the way it should be?

I think this is the way it should be, yes.  It helps the user find
his/her way around the file.  Also note that these sections can
repeat, for example in etc/NEWS.24 we have:

* Changes in Emacs 24.5
* Changes in Emacs 24.4
* Changes in Emacs 24.3
* Changes in Emacs 24.2
* Changes in Emacs 24.1

Also, adding a new level means that each item would be preceded with
four stars in favour of three.

Are there any other opinions here?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Apr 2015 06:14:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 02:14:49 2015
Received: from localhost ([127.0.0.1]:35695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Yknvt-0004NB-3h
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2015 02:14:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55957)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Ulrich.Windl@HIDDEN>)
 id 1Yknvq-0004Mn-HG
 for submit <at> debbugs.gnu.org; Wed, 22 Apr 2015 02:14:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Ulrich.Windl@HIDDEN>)
 id 1Yknvk-0001Gn-Hc
 for submit <at> debbugs.gnu.org; Wed, 22 Apr 2015 02:14:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52045)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Ulrich.Windl@HIDDEN>)
 id 1Yknvk-0001Gj-F7
 for submit <at> debbugs.gnu.org; Wed, 22 Apr 2015 02:14:40 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41230)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Ulrich.Windl@HIDDEN>)
 id 1Yknvj-0005Hp-KU
 for bug-gnu-emacs@HIDDEN; Wed, 22 Apr 2015 02:14:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Ulrich.Windl@HIDDEN>)
 id 1Yknvf-0001Co-Gz
 for bug-gnu-emacs@HIDDEN; Wed, 22 Apr 2015 02:14:39 -0400
Received: from rrzmta1.uni-regensburg.de ([194.94.155.51]:37237)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Ulrich.Windl@HIDDEN>)
 id 1Yknvf-0001Cc-B6
 for bug-gnu-emacs@HIDDEN; Wed, 22 Apr 2015 02:14:35 -0400
Received: from rrzmta1.uni-regensburg.de (localhost [127.0.0.1])
 by localhost (Postfix) with SMTP id BB8AC4C889
 for <bug-gnu-emacs@HIDDEN>; Wed, 22 Apr 2015 08:14:33 +0200 (CEST)
Received: from gwsmtp1.uni-regensburg.de (gwsmtp1.uni-regensburg.de
 [132.199.5.51])
 by rrzmta1.uni-regensburg.de (Postfix) with ESMTP id 973514C550
 for <bug-gnu-emacs@HIDDEN>; Wed, 22 Apr 2015 08:14:33 +0200 (CEST)
Received: from uni-regensburg-smtp1-MTA by gwsmtp1.uni-regensburg.de
 with Novell_GroupWise; Wed, 22 Apr 2015 08:14:33 +0200
Message-Id: <55375867020000A100019F48@HIDDEN>
X-Mailer: Novell GroupWise Internet Agent 14.0.1 
Date: Wed, 22 Apr 2015 08:14:31 +0200
From: "Ulrich Windl" <Ulrich.Windl@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: Format of NEWS (navigating in it)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi!

As I was not running the latest version of Emacs, I started to read the =
NEWS file backwards (maybe life is just boring otherwise), beginning at =
the Emacs version I had before.
(while doing that the ghost of RMS appeared and asked: "Why don't you run =
the latest version when it's free?" ;-)
OK, serious again: I realized that when reading backwards it's rather hard =
to find out when you are done, because even that it's outline mode there =
is NOT ONE section per Emacs release (here 24.4) (with sub-sections), but =
multiple. To be concrete, the lop-level headings (when reading backwards) =
are:
* Changes in Emacs 24.4 on Non-Free Operating Systems
* Lisp Changes in Emacs 24.4
* Incompatible Lisp Changes in Emacs 24.4
* New Modes and Packages in Emacs 24.4
* Changes in Specialized Modes and Packages in Emacs 24.4
* Editing Changes in Emacs 24.4
* Changes in Emacs 24.4
(here I thought I'm done)
* Startup Changes in Emacs 24.4
* Installation Changes in Emacs 24.4

I know it's all a long tradition, but I'd prefer to have one major section =
per release. While re-discovering outline-mode, I also realized that C-c =
C-f [<outline-forward-same-level>] (and C-c C-b) have to be used twice to =
get to the next heading if an ASCII FF (form feed) (plus newline) =
character preceeds the heading.

Is this the way it should be?

Regards,
Ulrich






Acknowledgement sent to "Ulrich Windl" <Ulrich.Windl@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#20403; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 18 Nov 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.